diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/patchlevel.h ircd-hybrid-6.0/include/patchlevel.h
--- ircd-hybrid-6.0.orig/include/patchlevel.h	Mon Jun 25 21:37:27 2001
+++ ircd-hybrid-6.0/include/patchlevel.h	Mon Jun 25 21:36:14 2001
@@ -17,5 +17,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL    "dancer-ircd-0.9.1.8"
+#define PATCHLEVEL    "dancer-ircd-0.9.1.9"
 #endif
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/s_conf.h ircd-hybrid-6.0/include/s_conf.h
--- ircd-hybrid-6.0.orig/include/s_conf.h	Mon Jun 25 21:37:27 2001
+++ ircd-hybrid-6.0/include/s_conf.h	Mon Jun 25 21:32:37 2001
@@ -225,7 +225,6 @@
   time_t           hold;     /* Hold action until this time (calendar time) */
   struct Class*    c_class;     /* Class of connection */
   int              dns_pending; /* 1 if dns query pending, 0 otherwise */
-  int              map_done; /* used in m_map() to check for stray C:lines. hey, there aren't many of these created anyway, 16 bits isn't much */
   umode_t          allowed_umodes;
   umode_t          default_umodes;
 };
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_map.c ircd-hybrid-6.0/src/m_map.c
--- ircd-hybrid-6.0.orig/src/m_map.c	Mon Jun 25 21:37:27 2001
+++ ircd-hybrid-6.0/src/m_map.c	Mon Jun 25 21:34:18 2001
@@ -51,15 +51,6 @@
   if (!current->serv)
     return; /* this should never happen, but let's be safe... */
 
-  if ((aconf = current->serv->nline))
-    {
-      if (aconf->map_done)
-	{
-	  sendto_ops_flag(UMODE_DEBUG, "WTF: already done %s (%d, %s) in m_map()", current->name, aconf ? aconf->map_done : -1, aconf ? aconf->name : "");
-	}
-      aconf->map_done = 1;
-    }
-
   /* header should be formatted for us already */
   sendto_one(sptr, form_str(RPL_MAP), me.name, sender_prefix, header, current->name);
 
@@ -121,9 +112,6 @@
       struct ConfItem* conf;
       header_length = 0;
       header[0] = '\0';
-      for (conf = ConfigItemList; conf; conf = conf->next)
-	if (conf->status == CONF_NOCONNECT_SERVER)
-	  conf->map_done = 0;
       map_send_server(sptr, parv[0], &me);
       for (conf = ConfigItemList; conf; conf = conf->next)
 	{
@@ -131,7 +119,7 @@
 	    continue;
 	  if (strcmp(conf->name, me.name) == 0)
 	    continue;
-	  if (!conf->map_done)
+	  if (!find_server(conf->name))
 	    sendto_one(sptr, form_str(RPL_MAP), me.name, parv[0], "** ", conf->name);
 	}
       sendto_one(sptr,form_str(RPL_ENDOFMAP),me.name,parv[0]);
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_conf.c ircd-hybrid-6.0/src/s_conf.c
--- ircd-hybrid-6.0.orig/src/s_conf.c	Mon Jun 25 21:37:27 2001
+++ ircd-hybrid-6.0/src/s_conf.c	Mon Jun 25 21:34:46 2001
@@ -189,7 +189,6 @@
   memset(aconf, 0, sizeof(struct ConfItem));
   aconf->status       = CONF_ILLEGAL;
   aconf->ipnum.s_addr = INADDR_NONE;
-  aconf->map_done = 0;
 
 #if defined(NULL_POINTER_NOT_ZERO)
   aconf->next = NULL;
